#pragma once

#include "RooAbsPdf.h"
#include "RooRealProxy.h"
#include "RooAbsReal.h"

class RooRealVar;

class myRooPolBG : public RooAbsPdf
{
public:
	myRooPolBG(){};
	myRooPolBG(const char *name, const char *title,
				  RooAbsReal &_dm, RooAbsReal &_dm0,
				  RooAbsReal &_b, RooAbsReal &_c);

	myRooPolBG(const myRooPolBG &other, const char *name = 0);
	
	virtual TObject *clone(const char *newname) const
	{
		return new myRooPolBG(*this, newname);
	}
	
	inline virtual ~myRooPolBG(){};

	Int_t getAnalyticalIntegral(RooArgSet& allVars, RooArgSet& analVars, const char* /*rangeName*/) const
	{
		if (matchArgs(allVars,analVars,dm)) return 1;
		return 0;
	}
	
	Double_t analyticalIntegral(Int_t code, const char* rangeName) const;
	
protected:
	RooRealProxy dm;
	RooRealProxy dm0;
	RooRealProxy B, C;

	Double_t evaluate() const;

//private:
//	ClassDefOverride(myRooPolBG,1)
};
